View Issue Details

IDProjectCategoryView StatusLast Update
0003938unrealinstallingpublic2010-07-20 18:10
ReporterohnobinkiAssigned Toohnobinki 
PrioritynormalSeveritytrivialReproducibilityhave not tried
Status resolvedResolutionfixed 
Product Version3.2.8 
Target Version3.2.9-RC1Fixed in Version3.2.9-RC1 
Summary0003938: Trigger rebuild on ./Config changing remote includes or zip links
DescriptionI noticed that editing any header file in include/ caused a complete rebuild of unrealircd. Thus, when I decided to rebuild an unrealircd that didn't have remote includes enabled as having remote includes enabled, I was surprised to see that the only file that got recompiled was url.c.

This patch moves _SOLARIS, USE_LIBCURL, and ZIP_LINKS into setup.h by using AC_DEFINE([BLAH]) instead of CFLAGS="$CFLAGS -DBLAH".

I'm pretty sure that this will reduce the number of support requests in #unreal-support which are answered with ``just run `make clean all' and it'll work''.
TagsNo tags attached.
3rd party modules

Activities

2010-07-18 20:58

 

unreal-configure-rebuild-fixes.patch (2,374 bytes)

syzop

2010-07-19 12:12

administrator   ~0016219

Sounds like a good idea.

First part: zip & remote includes, good.

As for the SunOS/Solaris change..
I don't know about either from the top of my head, so I'll just ask:
1) Is | in case permitted in POSIX bourne shell (not talking about bash)?
2) The _SOLARIS symbol, was it just defined for use by us, or does it also do something in the other (libc) header files, just like _OPEN_SOURCE etc etc

As for the last part regarding FD_SETSIZE, even though you have a case there, I'd rather have you remove that part and not sound alarm bells in pretty much every compile. Perhaps you can think of a better idea (setting a dummy variable to the value of FD_SETSIZE in setup.h? -- I dunnow).

Anyway, the fd thing is lower priority, sunos/solaris not important, but the zip & remote includes thing would be nice to have in 3.2.9.

ohnobinki

2010-07-19 18:52

reporter   ~0016220

1. http://www.opengroup.org/onlinepubs/7990989775/xcu/chap2.html shows `|' being used in case statements.
2. I'm pretty sure that _SOLARIS is only defined for our own sake. I'm very sure that it's unrelated to _XOPEN_SOURCE and _GNU_SOURCE, etc.. It's not listed at feature_test_macros(7). I still think it would just be cleaner to use AC_DEFINE for _SOLARIS instead of CFLAGS="$CFLAGS -D", etc.
3. I can strip the FD_SETSIZE warning. I think a dummy variable in setup.h is unnecessary and would cause confusion. Also:
   - there is faint hope of poll() support in the next 10 years :-p
   - those who have messed with the FD_SETSIZE stuff hopefully know to recompile... err... perhaps any docs which mention MAXCONNECTIONS would say you need to recompile(?).. nevermind ;-)

2010-07-19 18:53

 

unreal-configure-rebuild-fixes-r1.patch (3,008 bytes)

syzop

2010-07-20 11:31

administrator   ~0016225

Ok, thanks for checking. Throw the -r1 in :)

ohnobinki

2010-07-20 18:10

reporter   ~0016228

In CVS. :-)

- Now define _SOLARIS, USE_LIBCURL, and ZIP_LINKS in setup.h instead of the Makefiles. This means better automatic rebuilds if the latter settings change.

Issue History

Date Modified Username Field Change
2010-07-18 20:58 ohnobinki New Issue
2010-07-18 20:58 ohnobinki Status new => assigned
2010-07-18 20:58 ohnobinki Assigned To => ohnobinki
2010-07-18 20:58 ohnobinki File Added: unreal-configure-rebuild-fixes.patch
2010-07-18 20:58 ohnobinki QA => Not touched yet by developer
2010-07-18 20:58 ohnobinki U4: Need for upstream patch => No need for upstream InspIRCd patch
2010-07-18 20:58 ohnobinki U4: Upstream notification of bug => Not decided
2010-07-18 20:58 ohnobinki U4: Contributor working on this => None
2010-07-19 12:12 syzop Note Added: 0016219
2010-07-19 18:52 ohnobinki Note Added: 0016220
2010-07-19 18:53 ohnobinki File Added: unreal-configure-rebuild-fixes-r1.patch
2010-07-20 11:31 syzop Note Added: 0016225
2010-07-20 18:10 ohnobinki Note Added: 0016228
2010-07-20 18:10 ohnobinki Status assigned => resolved
2010-07-20 18:10 ohnobinki Fixed in Version => 3.2.9-RC1
2010-07-20 18:10 ohnobinki Resolution open => fixed